Page MenuHomePhabricator

Logged actions selected by namespace filters cannot be highlighted
Closed, ResolvedPublic

Description

  • do some editing on a page
  • do one of the following actions - move/delete/protect the page

Then perform the following steps:

  1. On RC page select a namespace filter and apply highlighting to the selected filter
  2. The logged actions will be displayed but won't get highlighting

Or you can try to select two namespaces - :(Article) and :Talk with highlighting and most likely you will see logged actions selected but not highlighted.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 10:21 PM
jmatazzoni triaged this task as High priority.Sep 12 2017, 7:02 PM

Change 377935 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Output namespace class on log actions as well

https://gerrit.wikimedia.org/r/377935

Change 377935 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Output namespace class on log actions as well

https://gerrit.wikimedia.org/r/377935

Etonkovidova added a comment.EditedSep 14 2017, 5:06 PM

Checked the fix in betalabs - the highlight is applied to the log entries that are fetched by Namespace filters.


Etonkovidova closed this task as Resolved.Sep 14 2017, 5:09 PM